
<?php

/**
* Page de gestion importé par la page d'administration centrale permettant la gestion des listes noires.
*/

require_once ($_SERVER["DOCUMENT_ROOT"]."/services/fonctions/sessions/privileges.php");

if (testPrivileges()!="administrateur") {
	header("Location: /pages/visiteurs/formulaire_accueil.php?erreur=18");
	die();
}

require_once ($_SERVER["DOCUMENT_ROOT"]."/services/fonctions/bdd/listes_noires.php");
$liste_entrees_liste_noires_dst=listeEntreeListeNoireDstPostfix($pdo);
$liste_entrees_liste_noires_exp=listeEntreeListeNoireExpPostfix($pdo);

/**
* Permet d'inclure la page d'administration des listes noires déstinataires ou expéditeurs dédiée.
*/

if (isset($_GET['sousPage']) && !empty($_GET['sousPage'])) {
	switch ($_GET['sousPage']) {
		case 'destinataires':
			echo <<<_HEREDOC_
				<div class="card mt-4">
					<div class="card-body">
						<h5 class="card-title">Ajouter une entrée dans la liste noire des destinataires</h5>
						<form action="/services/traitements/liste_noire_dst/ajoutEntreeListeNoireDst.php" method="post">
							<div class="input-group">
								<input type="text" class="form-control" id="nom_pour_filtre" name="courriel_entree_liste_noire_dst" placeholder="utilisateur@domaine.tld" onkeyup="filtreValeurs();" required>
								<select class="form-select" name="choix_action_entree_liste_noire_dst">
									<option value="REJECT">REJECT</option>
									<option value="DEFER">DEFER</option>
								</select>
								<button class="btn btn-primary bouton-ajout" type="submit"><img src="/fichiers/svg/plus.svg"/></button>
							</div>
						</form>
					</div>
				</div>
				<div class="card mt-4">
					<div class="card-body">
						<h5 class="card-title">Entrées de la liste noire des destinataires du serveur de messagerie</h5>

						<form class="" action="/services/traitements/liste_noire_dst/editEntreeListeNoireDst.php" method="post">
							<div class="row" id="liste_pour_filtre">
			_HEREDOC_;
			/**
			* Liste des entrées de la liste noire des destinataires.
			*/
			try {
				foreach ($liste_entrees_liste_noires_dst as $liste_entrees_liste_noires_dst_cles => $liste_entrees_liste_noires_dst_valeurs) {
					if (isset($liste_entrees_liste_noires_dst_valeurs['active']) && $liste_entrees_liste_noires_dst_valeurs['active']=="1") {
						$etat_interrupteur_allumer="checked";
						$etat_interrupteur_eteint="";
					} else {
						$etat_interrupteur_eteint="checked";
						$etat_interrupteur_allumer="";
					}
					echo <<<_HEREDOC_
						<div class="col-md-6 col-xl-4">
							<div class="card contour-pastille">
								<div class="d-flex interieur-pastille">
									<div class="champ-interrupteur">
										<input type="radio" name="{$liste_entrees_liste_noires_dst_valeurs['id']}" id="allumer{$liste_entrees_liste_noires_dst_valeurs['id']}" value="1" {$etat_interrupteur_allumer}>
										<label for="allumer{$liste_entrees_liste_noires_dst_valeurs['id']}" class="interrupteur-allumer"></label>
										<input type="radio" name="{$liste_entrees_liste_noires_dst_valeurs['id']}" id="eteint{$liste_entrees_liste_noires_dst_valeurs['id']}" value="0" {$etat_interrupteur_eteint}>
										<label for="eteint{$liste_entrees_liste_noires_dst_valeurs['id']}" class="interrupteur-eteint"></label>
									</div>
									<div class="titre-pastille">
										<span>{$liste_entrees_liste_noires_dst_valeurs['courriel']} <img class="chevron-dst" src="/fichiers/svg/chevron-right.svg" /> <span class="badge fond-arc-noire">{$liste_entrees_liste_noires_dst_valeurs['action']}</span></span>
									</div>
									<div>
										<label class="input-label-supprimer-valeur btn btn-danger btn-sm" for="supprimer-valeur-{$liste_entrees_liste_noires_dst_valeurs['id']}"><img src="/fichiers/svg/trash-2.svg"></label>
									</div>
								</div>
								<input type="checkbox" class="input-checkbox-supprimer-valeur visuellement-cache" id="supprimer-valeur-{$liste_entrees_liste_noires_dst_valeurs['id']}">
								<a class="confirmation-suppression card-footer" href="/services/traitements/liste_noire_dst/supprEntreeListeNoireDst.php?supprEntreeListeNoireDst={$liste_entrees_liste_noires_dst_valeurs['id']}">Confirmer la suppression</a>
							</div>
						</div>
					_HEREDOC_;
				}
			}
			catch (\Exception $e) {
				die ("Erreur de requête de selection utilisateurs pour \"$base\" : ".$e->getMessage());
			}
			echo <<<_HEREDOC_
							</div>
							<button class="bouton-flotant" type="submit"><img src="/fichiers/svg/save.svg"/></button>
						</form>
					</div>
				</div>
			_HEREDOC_;
		break;
		case 'expediteurs':
			echo <<<_HEREDOC_
				<div class="card mt-4">
					<div class="card-body">
						<h5 class="card-title">Ajouter une entrée dans la liste noire des expéditeurs</h5>
						<form action="/services/traitements/liste_noire_exp/ajoutEntreeListeNoireExp.php" method="post">
							<div class="input-group">
								<input type="text" class="form-control" id="nom_pour_filtre" name="courriel_entree_liste_noire_exp" placeholder="utilisateur@domaine.tld" onkeyup="filtreValeurs();" required>
								<select class="form-select" name="choix_code_retour_entree_liste_noire_exp">
									<option value="554">REJECT</option>
								</select>
								<button class="btn btn-primary bouton-ajout" type="submit"><img src="/fichiers/svg/plus.svg"/></button>
							</div>
						</form>
					</div>
				</div>
				<div class="card mt-4">
					<div class="card-body">
						<h5 class="card-title">Entrées de la liste noire des expéditeurs du serveur de messagerie</h5>

						<form class="" action="/services/traitements/liste_noire_exp/editEntreeListeNoireExp.php" method="post">
							<div class="row" id="liste_pour_filtre">
			_HEREDOC_;
			/**
			* Liste des entrées de la liste noire des destinataires.
			*/
			try {
				foreach ($liste_entrees_liste_noires_exp as $liste_entrees_liste_noires_exp_cles => $liste_entrees_liste_noires_exp_valeurs) {
					if (isset($liste_entrees_liste_noires_exp_valeurs['active']) && $liste_entrees_liste_noires_exp_valeurs['active']=="1") {
						$etat_interrupteur_allumer="checked";
						$etat_interrupteur_eteint="";
					} else {
						$etat_interrupteur_eteint="checked";
						$etat_interrupteur_allumer="";
					}
					echo <<<_HEREDOC_
						<div class="col-md-6 col-xl-4">
							<div class="card contour-pastille">
								<div class="d-flex interieur-pastille">
									<div class="champ-interrupteur">
										<input type="radio" name="{$liste_entrees_liste_noires_exp_valeurs['id']}" id="allumer{$liste_entrees_liste_noires_exp_valeurs['id']}" value="1" {$etat_interrupteur_allumer}>
										<label for="allumer{$liste_entrees_liste_noires_exp_valeurs['id']}" class="interrupteur-allumer"></label>
										<input type="radio" name="{$liste_entrees_liste_noires_exp_valeurs['id']}" id="eteint{$liste_entrees_liste_noires_exp_valeurs['id']}" value="0" {$etat_interrupteur_eteint}>
										<label for="eteint{$liste_entrees_liste_noires_exp_valeurs['id']}" class="interrupteur-eteint"></label>
									</div>
									<div class="titre-pastille">
										<span><span class="badge fond-arc-noire">{$liste_entrees_liste_noires_exp_valeurs['code_retour']}</span> <img class="chevron-dst" src="/fichiers/svg/chevron-right.svg" /> {$liste_entrees_liste_noires_exp_valeurs['courriel']}</span>
									</div>
									<div>
										<label class="input-label-supprimer-valeur btn btn-danger btn-sm" for="supprimer-valeur-{$liste_entrees_liste_noires_exp_valeurs['id']}"><img src="/fichiers/svg/trash-2.svg"></label>
									</div>
								</div>
								<input type="checkbox" class="input-checkbox-supprimer-valeur visuellement-cache" id="supprimer-valeur-{$liste_entrees_liste_noires_exp_valeurs['id']}">
								<a class="confirmation-suppression card-footer" href="/services/traitements/liste_noire_exp/supprEntreeListeNoireExp.php?supprEntreeListeNoireExp={$liste_entrees_liste_noires_exp_valeurs['id']}">Confirmer la suppression</a>
							</div>
						</div>
					_HEREDOC_;
				}
			}
			catch (\Exception $e) {
				die ("Erreur de requête de selection utilisateurs pour \"$base\" : ".$e->getMessage());
			}
			echo <<<_HEREDOC_
							</div>
							<button class="bouton-flotant" type="submit"><img src="/fichiers/svg/save.svg"/></button>
						</form>
					</div>
				</div>
			_HEREDOC_;
		break;
		default:
			echo "	<h1>Cette page n'existe pas.</h1>";
		break;
	}
}
?>

<script src="/fichiers/js/filtre.js"></script>
